Activity log for bug #1716357

Date Who What changed Old value New value Message
2017-09-11 09:28:08 Esko Järnfors bug added bug
2017-09-11 09:38:16 Launchpad Janitor evince (Ubuntu): status New Confirmed
2017-09-11 10:16:23 Kenrick Bingham bug added subscriber Kenrick Bingham
2017-09-11 14:28:47 Esko Järnfors attachment added A patch for configure.ac that fixes this issue. https://bugs.launchpad.net/ubuntu/+source/evince/+bug/1716357/+attachment/4947996/+files/fix-desktop-entry.patch
2017-09-11 16:28:17 Ubuntu Foundations Team Bug Bot tags patch
2017-09-11 16:28:24 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Review Team
2017-09-26 15:54:45 Sebastien Bacher evince (Ubuntu): importance Undecided Low
2017-09-26 16:09:07 Sebastien Bacher cve linked 2017-1000083
2017-09-26 16:09:07 Sebastien Bacher evince (Ubuntu): assignee Steve Beattie (sbeattie)
2017-09-26 16:09:18 Sebastien Bacher bug added subscriber Sebastien Bacher
2017-09-29 19:19:00 Sebastien Bacher evince (Ubuntu): status Confirmed Fix Committed
2017-09-29 19:21:22 Sebastien Bacher description Release version: Ubuntu 16.04.3 LTS Package version: 3.18.2-1ubuntu4.1 /usr/share/applications/evince-previewer.desktop comes from the evince package. It has an empty entry in mime types between application/x-ext-cb7 and application/oxps. ===8<=== ... MimeType=application/pdf;application/x-bzpdf;application/x-gzpdf;application/x-xzpdf;application/x-ext-pdf;application/postscript;application/x-bzpostscript;application/x-gzpostscript;image/x-eps;image/x-bzeps;image/x-gzeps;application/x-ext-ps;application/x-ext-eps;application/x-dvi;application/x-bzdvi;application/x-gzdvi;application/x-ext-dvi;image/vnd.djvu;application/x-ext-djv;application/x-ext-djvu;image/tiff;application/x-cbr;application/x-cbz;application/x-cb7;application/x-ext-cbr;application/x-ext-cbz;application/x-ext-cb7;;application/oxps;application/vnd.ms-xpsdocument; ... ===>8=== This entry gets included in /etc/mailcap via update-mime trigger from the package mime-support and the result is a broken line: ===8<=== ... application/x-ext-cb7; evince-previewer %s; test=test -n "$DISPLAY" ; evince-previewer %s; test=test -n "$DISPLAY" application/oxps; evince-previewer %s; test=test -n "$DISPLAY" ... ===>8=== Some programs that use /etc/mailcap get confused by the broken line so it would be nice if the typo it originates from was fixed. The expected result in /etc/mailcap from running update-mime: ===8<=== ... application/x-ext-cb7; evince-previewer %s; test=test -n "$DISPLAY" application/oxps; evince-previewer %s; test=test -n "$DISPLAY" ... ===>8=== * Impact there is an extra ";" in the mimetype list leading to a buggy mailcap entry * Test case: check if /etc/mailcap contains a line "; evince-previewer %s; test=test -n "$DISPLAY"" * regression potentiel check that evince is correcly used when trying to open file associated to it ----------------- Release version: Ubuntu 16.04.3 LTS Package version: 3.18.2-1ubuntu4.1 /usr/share/applications/evince-previewer.desktop comes from the evince package. It has an empty entry in mime types between application/x-ext-cb7 and application/oxps. ===8<=== ... MimeType=application/pdf;application/x-bzpdf;application/x-gzpdf;application/x-xzpdf;application/x-ext-pdf;application/postscript;application/x-bzpostscript;application/x-gzpostscript;image/x-eps;image/x-bzeps;image/x-gzeps;application/x-ext-ps;application/x-ext-eps;application/x-dvi;application/x-bzdvi;application/x-gzdvi;application/x-ext-dvi;image/vnd.djvu;application/x-ext-djv;application/x-ext-djvu;image/tiff;application/x-cbr;application/x-cbz;application/x-cb7;application/x-ext-cbr;application/x-ext-cbz;application/x-ext-cb7;;application/oxps;application/vnd.ms-xpsdocument; ... ===>8=== This entry gets included in /etc/mailcap via update-mime trigger from the package mime-support and the result is a broken line: ===8<=== ... application/x-ext-cb7; evince-previewer %s; test=test -n "$DISPLAY" ; evince-previewer %s; test=test -n "$DISPLAY" application/oxps; evince-previewer %s; test=test -n "$DISPLAY" ... ===>8=== Some programs that use /etc/mailcap get confused by the broken line so it would be nice if the typo it originates from was fixed. The expected result in /etc/mailcap from running update-mime: ===8<=== ... application/x-ext-cb7; evince-previewer %s; test=test -n "$DISPLAY" application/oxps; evince-previewer %s; test=test -n "$DISPLAY" ... ===>8===
2017-09-29 19:21:25 Sebastien Bacher evince (Ubuntu): assignee Steve Beattie (sbeattie) Sebastien Bacher (seb128)
2017-10-04 21:33:02 Chris J Arges nominated for series Ubuntu Xenial
2017-10-04 21:33:02 Chris J Arges bug task added evince (Ubuntu Xenial)
2017-10-04 21:34:42 Chris J Arges nominated for series Ubuntu Zesty
2017-10-04 21:34:42 Chris J Arges bug task added evince (Ubuntu Zesty)
2017-10-04 21:35:43 Chris J Arges evince (Ubuntu Xenial): importance Undecided Medium
2017-10-04 21:35:44 Chris J Arges evince (Ubuntu Zesty): importance Undecided Medium
2017-10-04 21:35:46 Chris J Arges evince (Ubuntu): importance Low Medium
2017-10-05 19:56:14 Brian Murray bug added subscriber Brian Murray
2017-10-06 05:37:25 Sebastien Bacher evince (Ubuntu): assignee Sebastien Bacher (seb128)
2017-10-14 00:40:44 Brian Murray evince (Ubuntu Xenial): status New Fix Committed
2017-10-14 00:40:47 Brian Murray bug added subscriber Ubuntu Stable Release Updates Team
2017-10-14 00:40:50 Brian Murray bug added subscriber SRU Verification
2017-10-14 00:40:54 Brian Murray tags patch patch verification-needed verification-needed-xenial
2017-10-14 00:41:36 Brian Murray evince (Ubuntu Zesty): status New Fix Committed
2017-10-14 00:41:44 Brian Murray tags patch verification-needed verification-needed-xenial patch verification-needed verification-needed-xenial verification-needed-zesty
2017-10-30 15:32:18 Kenrick Bingham tags patch verification-needed verification-needed-xenial verification-needed-zesty patch verification-done-xenial verification-needed verification-needed-zesty
2017-11-02 15:56:04 Launchpad Janitor evince (Ubuntu Xenial): status Fix Committed Fix Released
2017-11-02 15:56:14 Brian Murray removed subscriber Ubuntu Stable Release Updates Team
2017-11-02 15:56:45 Brian Murray tags patch verification-done-xenial verification-needed verification-needed-zesty patch verification-done-xenial verification-done-zesty verification-needed
2017-11-02 15:56:55 Launchpad Janitor evince (Ubuntu Zesty): status Fix Committed Fix Released